Page MenuHomePhabricator

SKBL <-> KARP Svenskt kvinnobiografiskt lexikon
Closed, ResolvedPublic

Description

Video: LIBRIS RAÄ Wikidata SKBL
Problem: As data is published as strings and not reusable data (not #FAIRDATA) its difficult to write software that check consistency between sources e.g The Nordic museum is messing up children of Margareta Leijonhufvud see T218644: Jämföra Wikidata <-> Kulturnav

Task:

  1. To see if we can link KARP "Språkbankens lexikala plattform from Wikidata --> Create a property
  2. Get KARP to link wikidata --> use Things instead of strings
  3. Feedback that SKBL is focusing on ISNI --> check status on that see T219700: ISNI i SKBL <-> Wikidata

Status: I wait on feedback from SKBL

Svenskt kvinnobiografiskt lexikon (SKBL) is stored in the KARP database that has an API. Today its difficult to use this data as its a lot of strings.

To make data usable for machine reading 2019 open.access recommends #FAIRDATA --> the data will be easier to reuse

One way of making data usable is referencing THINGS and not just strings example below

Example location as Things not Strings

SKBL describes that the wife of Gustav Vasa died in Tynnelsö as strings

Dödsort: Tynnelsö


are we looking at Riksarkivet SBL they use strings

Överselö församling, Södermanlands län (på Tynnelsö)

If we look at Wikidata Q239443 (graph) they use THINGS

Tynnelsö slott (Q2243791) as a **graph** -> samma som

Toramaptest 12417 links historical maps --> Överselö Häradsekonomiska karta 1897-1901 link

Example person as Things not Strings

SKBL describes that the husband is Gustav Vasa using a string

Make: Gustav Eriksson (Vasa) (1496 – 1560) Kung

are we looking at Riksarkivet SBL 9099 they say use a link 13315

med moderns syssling konung Gustav I av Sverige (bd 17) i dennes andra gifte, son till riksrådet Erik Johansson (Vasa) o Cecilia Månsdtr (Ekaätten).

If we look at Wikidata Q239443 (graph) they use THINGS


See also

  • KARP Språkbankens lexikala plattform

See also:

Event Timeline

Salgo60 created this task.EditedMar 20 2019, 1:43 PM

This represented in KARP

Klick on JSON ==>

JSON
{

"article_author": [
    {
        "firstname": "Katarina",
        "lastname": "Harrison Lindbergh"
    }

Wikidata Q62112679 Katarina Harrison Lindbergh

],
"civil_status": "Gift",
"civil_status_eng": "Married",
"contact": [
    {
        "firstname": "Svante",
        "lastname": "Sture d.y., svåger",
        "type": "Släkting"
    },

Wikidata Q3742134 Svante Sture den yngre <-> SBL 34643

{
    "firstname": "Gustav",
    "lastname": "Olofsson (Stenbock), svåger",
    "type": "Släkting"
},

SBL 20067 ==> Wikidata haswbstatement:P3217=20067 --> Wikidata Q6188807, Margaretas släktträd från Wikidata

{
    "firstname": "Margareta av Navarra",
    "type": "Vän"
},

Wikidata Q190058 Margareta av Navarra

{
    "firstname": "Ebba Månsdotter",
    "lastname": "Lilliehöök",
    "type": "Vän"
},

Wikidata Q4968661 Ebba Månsdotter (Lilliehöök) <-> SBL 10331

    {
        "firstname": "Margareta",
        "lastname": "Gire",
        "type": "Vän"
    }
],
"education": [
    {
        "description": "Ståndsmässig uppfostran",
        "type": "Privatundervisning i hemmet"
    }
],
"furtherreference": [
    {
        "description": "Om drottning Margareta",
        "type": "LIBRIS",
        "type_eng": "LIBRIS",
        "url": "http://libris.kb.se/hitlist?d=libris&q=%C3%A4mne%3a(drottning+Margareta+1551)&f=simp&spell=true&hist=true&p=1"
    }
],

Wikidata Q239443 har koll på

lang=json

"id": [
      {
          "id": "0000000000000000",
          "type": "ISNI"
      }
  ],
  "internal_comment": "Saknar ISNI. SchS, LÅ\nKorr och nyckelord ok, annan namnform i NE och LIBRIS = Leijonhufvud. Eftersom man bara kan länka\nmellan två namn har jag valt det och inte Eriksdotter / BB",
  "keyword": [
      "1500-talet",
      "Drottningar",
      "Adel",
      "Politik",
      "Kristendom",
      "Katolicism"
  ],

lang=json

"keyword_eng": [
    "16th century",
    "Queens",
    "Nobility",
    "Politics",
    "Christianity",
    "Catholicism"
],
"lastmodified": "2018-03-19T19:38:10",
"lexiconName": "skbl",
"lexiconOrder": 28,
"lifespan": {
    "from": {
        "date": {
            "comment": "1515/1516"
        },
        "place": {
            "parish": "",
            "pin": {
                "lat": 0,
                "lon": 0
            },
            "place": ""
        }
    },
    "to": {
        "date": {
            "comment": "1551",
            "date": "1551"
        },
        "place": {
            "parish": "",
            "pin": {
                "lat": 0,
                "lon": 0
            },
            "place": "Tynnelsö "
        }
    }
},
"name": {
    "firstname": "/Margareta/, drottning",
    "sortname": "/Margareta/, drottning"
},
"num_children": 10,
"occupation": [
    {
        "description": "Drottning av Sverige",
        "detail": "Drottning av Sverige",
        "from": {
            "comment": "1536",
            "date": "1536"
        },
        "to": {
            "comment": "1551",
            "date": "1551"
        },
        "type": "Yrke"
    },
    {
        "description": "Socialt och filantropiskt arbete",
        "detail": "Donator, bl a till Vadstena kloster",
        "from": {
            "comment": "1530-talet"
        },
        "to": {
            "comment": "1551",
            "date": "1551"
        },
        "type": "Ideellt arbete"
    }
],
"othernames": [
    {
        "mk_link": true,
        "name": "Eriksdotter Leijonhufvud, Margareta",
        "type": "Flicknamn",
        "type_eng": "Maiden name"
    },
    {
        "mk_link": true,
        "name": "Leijonhufvud, Margareta",
        "type": "Alternativ namnform",
        "type_eng": "Alternate name"
    }
],
"places": [
    {
        "from": {
            "comment": ""
        },
        "place": {
            "pin": {
                "lat": 57.9300205,
                "lon": 12.536211299
            },
            "place": "Alingsås"
        }
    },

?!?!? osäker uppgift

    {
        "from": {
            "comment": ""
        },
        "place": {
            "pin": {
                "lat": 59.329323,
                "lon": 18.068581
            },
            "place": "Stockholm"
        }
    },
    {
        "from": {
            "comment": ""
        },
        "place": {
            "pin": {
                "lat": 0,
                "lon": 0
            },
            "place": "Tynnelsö "
        }
    }
],

Wikidata Tynnelsö slott Q2243791

Byggnadspresentation STRÄNGNÄS TYNNELSÖ 1:5 - husnr 1, TYNNELSÖ SLOTT

"portrait": [
    {
        "description": "Margareta, drottning, porträtt av Johan Baptista van Uther",
        "url": "https://spraakbanken.gu.se/karp/data/skbl/files/2018-02-16_085837.jpeg"
    }
],
"relation": [
    {
        "born": {
            "comment": "?"
        },
        "death": {
            "comment": "1549",
            "date": "1549"
        },
        "firstname": "Ebba",
        "lastname": "Eriksdotter (Vasa)",
        "occupation": "Frälsekvinna",
        "type": "Mor",
        "type_eng": "Mother"
    },

Wikidata Q512822 Ebba Eriksdotter

{
    "born": {
        "comment": "?"
    },
    "death": {
        "comment": "1520",
        "date": "1520"
    },
    "firstname": "Erik",
    "lastname": "Abrahamsson (Leijonhufvud)",
    "occupation": "Frälseman",
    "type": "Far",
    "type_eng": "Father"
},

Wikidata Q5715509 Erik Abrahamsson (Leijonhufvud)

{
    "born": {
        "comment": "1512/1513"
    },
    "death": {
        "comment": "1556",
        "date": "1556"
    },
    "firstname": "Abraham",
    "lastname": "Eriksson",
    "occupation": "Frälseman, riksråd",
    "type": "Bror",
    "type_eng": "Brother"
},

Wikidata Q5945044 Abraham Eriksson Leijonhufvud d.ä.

{
    "firstname": "Anna",
    "lastname": "Eriksdotter",
    "type": "Syster",
    "type_eng": "Sister"
},
{
    "born": {
        "comment": "1514",
        "date": "1514"
    },
    "death": {
        "comment": "1572",
        "date": "1572"
    },
    "firstname": "Birgitta, kallad Brita,",
    "lastname": "Eriksdotter",
    "type": "Syster",
    "type_eng": "Sister"
},
{
    "born": {
        "comment": "1518",
        "date": "1518"
    },
    "death": {
        "comment": "1568",
        "date": "1568"
    },
    "firstname": "Sten Eriksson",
    "lastname": "Eriksson",
    "occupation": "Frälseman, riksråd",
    "type": "Bror",
    "type_eng": "Brother"
},

Wikidata Q6188555 Sten Eriksson Leijonhufvud

{
    "born": {
        "comment": "1520",
        "date": "1520"
    },
    "death": {
        "comment": "1583",
        "date": "1583"
    },
    "firstname": "Märta",
    "lastname": "Eriksdotter",
    "occupation": "Frälsekvinna",
    "type": "Syster",
    "type_eng": "Sister"
},

Wikidata Q6148319

{
    "born": {
        "comment": "1496",
        "date": "1496"
    },
    "death": {
        "comment": "1560",
        "date": "1560"
    },
    "firstname": "Gustav",
    "from": {
        "comment": "1536",
        "date": "1536"
    },
    "lastname": "Eriksson (Vasa)",
    "occupation": "Kung",
    "to": {
        "comment": "1551",
        "date": "1551"
    },
    "type": "Make",
    "type_eng": "Husband"
},

lang=json

{
    "born": {
        "comment": "1537",
        "date": "1537"
    },
    "death": {
        "comment": "1592",
        "date": "1592"
    },
    "firstname": "Johan",
    "lastname": "Vasa",
    "occupation": "Hertig, kung",
    "type": "Son",
    "type_eng": "Son"
},

lang=json

{
    "born": {
        "comment": "1539",
        "date": "1539"
    },
    "death": {
        "comment": "1610",
        "date": "1610"
    },
    "firstname": "Katarina",
    "lastname": "Vasa",
    "occupation": "Prinsessa",
    "type": "Dotter",
    "type_eng": "Daughter"
},

lang=json

{
    "born": {
        "comment": "1540",
        "date": "1540"
    },
    "death": {
        "comment": "1627",
        "date": "1627"
    },
    "firstname": "Cecilia",
    "lastname": "Vasa",
    "occupation": "Prinsessa",
    "type": "Dotter",
    "type_eng": "Daughter"
},

lang=json

    {
        "born": {
            "comment": "1542",
            "date": "1542"
        },
        "death": {
            "comment": "1595",
            "date": "1595"
        },
        "firstname": "Magnus",
        "lastname": "Vasa",
        "occupation": "Hertig",
        "type": "Son",
        "type_eng": "Son"
    },
    {
        "born": {
            "comment": "1544",
            "date": "1544"
        },
        "death": {
            "comment": "1544",
            "date": "1544"
        },
        "firstname": "Karl",
        "lastname": "Vasa",
        "occupation": "Prins",
        "type": "Son",
        "type_eng": "Son"
    },
    {
        "born": {
            "comment": "1545",
            "date": "1545"
        },
        "death": {
            "comment": "1610",
            "date": "1610"
        },
        "firstname": "Anna",
        "lastname": "Vasa",
        "occupation": "Prinsessa",
        "type": "Dotter",
        "type_eng": "Daughter"
    },
    {
        "born": {
            "comment": "1546",
            "date": "1546"
        },
        "death": {
            "comment": "?"
        },
        "firstname": "Sten",
        "lastname": "Vasa",
        "occupation": "Prins",
        "type": "Son",
        "type_eng": "Son"
    },
    {
        "born": {
            "comment": "1547",
            "date": "1547"
        },
        "death": {
            "comment": "1611",
            "date": "1611"
        },
        "firstname": "Sofia",
        "lastname": "Vasa",
        "occupation": "Prinsessa",
        "type": "Dotter",
        "type_eng": "Daughter"
    },
    {
        "born": {
            "comment": "1549",
            "date": "1549"
        },
        "death": {
            "comment": "1597",
            "date": "1597"
        },
        "firstname": "Elisabet",
        "lastname": "Vasa",
        "occupation": "Prinsessa",
        "type": "Dotter",
        "type_eng": "Daughter"
    },
    {
        "born": {
            "comment": "1550",
            "date": "1550"
        },
        "death": {
            "comment": "1611",
            "date": "1611"
        },
        "firstname": "Karl",
        "lastname": "Vasa",
        "occupation": "Hertig, kung",
        "type": "Son",
        "type_eng": "Son"
    }
],
"skbl_status": "OK",
"source": [
    {
        "description": "Hagström Molin, Emma, 'Margareta Leijonhufvuds drottningskap', *Historielärarnas förenings årsskrift.*, 2006, s. 9-24, 2006",
        "type": "Litteratur",
        "type_eng": "Literature"
    },

lang=json

    {
        "description": "Harrison, Dick & Eriksson, Bo, *Sveriges historia. 1350-1600 : [digerdöden, Kalmarunionen, heliga Birgitta och Vadstena kloster, bondeuppror, Stockholms blodbad, Gustav Vasa, Vasakungar, reformationen, Dackefejden, krig, skatter, riksdag]*, Norstedt, Stockholm, S. 398-402, 2010",
        "type": "Litteratur",
        "type_eng": "Literature"
    }
],

lang=json

"subtitle": "Drottning av Sverige",
"subtitle_eng": "Queen of Sweden",
"text": "Margareta Eriksdotter Leijonhufvud var en av 1500-talets mest betydelsefulla makthavare. Som drottning vid sidan av Gustav Vasa styrde hon delar av den svenska politiken under ett drygt decennium, bland annat under turbulenta händelser såsom Dackefejden.\n\nDet råder osäkerhet kring när och var Margareta Eriksdotter Leijonhufvud föddes men troligtvis skedde det vid årsskiftet 1515 till 1516, kanske på Loholmen i sjön Anten i Västergötland. Familjen hade en egendom där. ........full-length portrait of her in which she is dressed formally, bearing a crown and sceptre as a symbol of a person of power.",
"translator": {
    "firstname": "Alexia",
    "lastname": "Grosjean"
},
"url": "Margaretadrottning"

}

Salgo60 updated the task description. (Show Details)Mar 20 2019, 1:49 PM
Salgo60 updated the task description. (Show Details)Mar 20 2019, 2:23 PM
Salgo60 updated the task description. (Show Details)Mar 20 2019, 2:30 PM

Ask a question in Github link

Salgo60 added a comment.EditedMar 21 2019, 1:00 PM

Email


Uppdatering det skickas vidare till Jonatan

Salgo60 updated the task description. (Show Details)Mar 22 2019, 9:00 AM
Salgo60 updated the task description. (Show Details)Mar 22 2019, 10:19 AM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Mar 22 2019, 11:53 AM
Salgo60 updated the task description. (Show Details)Mar 22 2019, 12:03 PM
Salgo60 updated the task description. (Show Details)Mar 23 2019, 6:17 AM
Salgo60 renamed this task from SKBL <-> KARP to SKBL <-> KARP Svenskt kvinnobiografiskt lexikon.Mar 23 2019, 8:12 AM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Mar 23 2019, 8:28 AM
Salgo60 updated the task description. (Show Details)Mar 23 2019, 9:00 AM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Mar 23 2019, 11:16 AM
Salgo60 updated the task description. (Show Details)Mar 23 2019, 11:18 AM
Salgo60 updated the task description. (Show Details)Mar 23 2019, 11:35 AM
Salgo60 updated the task description. (Show Details)Mar 23 2019, 2:08 PM
Salgo60 updated the task description. (Show Details)Mar 24 2019, 8:35 AM
Salgo60 updated the task description. (Show Details)Mar 24 2019, 12:16 PM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Mar 24 2019, 12:26 PM
Salgo60 updated the task description. (Show Details)Mar 24 2019, 12:41 PM
Salgo60 updated the task description. (Show Details)Mar 24 2019, 1:44 PM
Salgo60 updated the task description. (Show Details)Mar 25 2019, 12:24 AM
Salgo60 updated the task description. (Show Details)Mar 25 2019, 1:41 AM
Salgo60 updated the task description. (Show Details)Mar 25 2019, 10:48 AM
Salgo60 added a comment.EditedMar 25 2019, 11:47 AM

Answer SKBL that they focus on trying identify the person using ISNI.

Salgo60 updated the task description. (Show Details)Mar 26 2019, 8:08 AM
Salgo60 updated the task description. (Show Details)Mar 26 2019, 9:47 AM
Salgo60 updated the task description. (Show Details)Mar 27 2019, 8:31 AM
Salgo60 updated the task description. (Show Details)Mar 27 2019, 8:35 AM
Salgo60 updated the task description. (Show Details)Mar 30 2019, 9:41 AM
Salgo60 closed this task as Resolved.EditedMar 30 2019, 4:20 PM
Salgo60 claimed this task.

Fick svar av en utvecklare om att fokus för SKBL har varit ISNI --> gjorde ett program hämtade alla ISNI från Karp och jämförde med vad WIkidata har se T219700: ISNI i SKBL <-> Wikidata och github.com/salgo60/SKBLWikidata

Status: Väntar på SKBL är som sagt i Gbg 25 april och pratar på "Sustainable Knowledge Graphs and AI"

Salgo60 updated the task description. (Show Details)Mar 30 2019, 4:22 PM
Salgo60 moved this task from In progress to Done on the WMSE-Magnus Sälgö board.Jun 7 2019, 11:50 PM
Salgo60 updated the task description. (Show Details)Sep 2 2019, 8:52 PM